Bug 295691 - KDE Sound server (artsd), signal 11, SIGSEGV
KDE Sound server (artsd), signal 11, SIGSEGV
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-18 21:38 EDT by James Cooper
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 00:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Cooper 2007-09-18 21:38:31 EDT
Description of problem:  

KDE Sound server (artsd) crashes at startup, and whenever KDE tries to use it.

arts debug-info:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208628832 (LWP 2741)]
[KCrash handler]
#4  Arts::PlayObject_base::_create (subClass=@0xbfbec650) at kmedia2.cc:208
#5  0x0805f6e6 in Arts::SoundServerV2_impl::createPlayObjectForURL (
    this=0x88838b0, url=@0xbfbec6d4, mimetype=@0xbfbec6d0, createBUS=false)
    at kmedia2.h:241
#6  0x009e4dfc in _dispatch_Arts_PlayObjectFactoryV2_00 (object=0x8883954, 
    request=0x88e9f28, result=0x88ea608) at kmedia2.cc:1949
#7  0x024a9ce6 in Arts::Object_skel::_dispatch (this=0x888393c, 
    request=0x88e9f28, result=0x88ea608, methodID=47) at object.cc:854
#8  0x024aa63d in Arts::Dispatcher::handle (this=0xbfbeeb44, conn=0x88e7250, 
    buffer=0x88e9f28, messageType=4) at dispatcher.cc:559
#9  0x024ab505 in Arts::Connection::receive (this=0x88e7250, 
    newdata=0xbfbec898 "MCOP", newlen=80) at connection.cc:168
#10 0x024ab6fe in Arts::SocketConnection::notifyIO (this=0x88e7250, _fd=13, 
    types=1) at socketconnection.cc:139
#11 0x0248b8b3 in Arts::StdIOManager::processOneEvent (this=0x885db60, 
    blocking=true) at iomanager.cc:308
#12 0x024839e0 in Arts::StdIOManager::run (this=0x885db60) at iomanager.cc:357
#13 0x02483907 in Arts::Dispatcher::run (this=0xbfbeeb44) at dispatcher.cc:954
#14 0x0805aa3e in main (argc=) at artsd.cc:360
#15 0x004b2f70 in __libc_start_main (main=0x8059f70 <main>, argc=14, 
    ubp_av=0xbfbeed34, init=0x8064d20 <__libc_csu_init>, 
    fini=0x8064d10 <__libc_csu_fini>, rtld_fini=0x48c3d0 <_dl_fini>, 
    stack_end=0xbfbeed2c) at libc-start.c:222
#16 0x08053ad1 in _start ()

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Rex Dieter 2007-11-02 10:38:21 EDT
rpm -q arts
Comment 2 Joseph Shraibman 2008-01-06 10:44:40 EST
I can't start arts either.  I don't know if it is the same problem the OP had.

[jks@jks-desktop ~]$ artsd
*** PULSEAUDIO: Unable to connect: Connection refused
Error while initializing the sound driver:
device: default can't be opened for playback (Connection refused)
[jks@jks-desktop ~]$ rpm -q arts
Comment 3 Rex Dieter 2008-01-06 10:52:53 EST
Joseph, you're having a separate problem (arts not crashing but pulseaudio not
being able to open/initialize the audio device).  
Do you have kde-settings-pulseaudio installed?  If not, you need it.
Comment 4 Joseph Shraibman 2008-01-06 11:14:12 EST
Thanks, installing kde-settings-pulseaudio solved my problem.  It should
probably be required for all kde installs.
Comment 5 Rex Dieter 2008-01-06 14:10:50 EST
fwiw, it's the default (ie, included if you 'yum groupinstall kde-desktop'), but
not required so that it's optional (ie, folks can opt-out of pulseaudio support
if they so choose).
Comment 6 Brian Powell 2008-04-25 00:37:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.